Bug 87644 - syslog.ph does not exist/cannot be created.
syslog.ph does not exist/cannot be created.
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: perl (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-03-31 14:53 EST by Chris Kloiber
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-09 11:33:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2003-03-31 14:53:12 EST
(Same error as in Bug# 74067)

syslog.pl requires syslog.ph, but that file is missing from the distribution.

Attempts to create the syslog.ph using the h2ph tool build a syslog.ph when
targeting either the /usr/include or /usr/i386-glibc21-linux/include/
directoies, but the resulting file does not work.

This is known to be broken on Red Hat Enterprise Linux AS, and may also be
broken on RHEL ES and RHEL WS as well (not confirmed).
Comment 1 Chip Turner 2003-04-09 11:33:57 EDT
you should use the Sys::Syslog module instead of syslog.pl; the latter is rather
old and not the recommended/supported method of logging.  'perldoc Sys::Syslog'
for details on usage.

Note You need to log in before you can comment on or make changes to this bug.